Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.util
Class FormFileInputHandler

`java.lang.Object
oracle.adf.controller.struts.util.FormFileInputHandler`

All Implemented Interfaces:
  oracle.jbo.uicli.binding.JUCtrlInputValueHandler

public class FormFileInputHandler
extends java.lang.Object
implements oracle.jbo.uicli.binding.JUCtrlInputValueHandler

Constructor Summary
`FormFileInputHandler()`

Method Summary
`boolean` | `isNewInputValue(oracle.jbo.uicli.binding.JUCtrlValueBinding binding, int index, java.lang.Object value)`
`void` | `setInputValue(oracle.jbo.uicli.binding.JUCtrlValueBinding binding, int index, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormFileInputHandler

    public FormFileInputHandler()

Method Detail

### setInputValue

    public void setInputValue(oracle.jbo.uicli.binding.JUCtrlValueBinding binding,
                              int index,
                              java.lang.Object value)

  Specified by:
    `setInputValue` in interface `oracle.jbo.uicli.binding.JUCtrlInputValueHandler`

### isNewInputValue

    public boolean isNewInputValue(oracle.jbo.uicli.binding.JUCtrlValueBinding binding,
                                   int index,
                                   java.lang.Object value)

  Specified by:
    `isNewInputValue` in interface `oracle.jbo.uicli.binding.JUCtrlInputValueHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.